require "rubygems"
require "spec"
require File.expand_path(File.dirname(__FILE__) + "/../lib/parser")

describe Parser do
  
  setup do
    @parser = Parser.new
  end
  
  it "should parse normal ruby code" do
    code = "puts 1"
    @parser.parse(code).should eql("puts 1")
  end
  
  it "should remove one line of comment" do
    code = "# I'm a comment"
    @parser.parse(code).should eql("")
  end
  
  it "should removes comments but not code" do
    code = <<END
# I'm a comment
puts 1
END
    @parser.parse(code).should eql("puts 1\n")
  end
  
  # Add specs for comments that don't start on a new line.
  # consider #'s inside strings
  
end